package au.id.rupert.chauffeurs_name_board;
// Version ChauffersNameBoard 020
// Purpose to display text at full screen on an android device
// http://www.rupert.id.au/chauffeurs_name_board/index.php
// as sold on Google Play at: https://play.google.com/store/apps/details?id=au.id.rupert.chauffeurs_name_board

// Published as ChauffersNameBoard 4.0 -  27 January 2013

// Added button press to edit text to open configuration (editing) screen2.xml
// I would still like to remove the need for the user to press the "Save Name" button after they press "Done" when editing
// the new name.

import android.app.Activity;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;

public class ChauffeursNameBoard extends Activity {

	BigTextButton btnBigTextButton;	
	Button btnSendNo;
	Button btnSendCall;
	Button btnConfiguration;
	
	// Initialize variables
	String strstrName = "";
	
	// set up SharedPreferences
    private SharedPreferences prefs;
    private static final String NAME_KEY = "strName";

    private String prefName = "MyPref";
    
	IntentFilter intentFilter;	
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.screen1);   // Display screen1
        this.setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_LANDSCAPE);
        
        BigTextButton progress = (BigTextButton) findViewById(R.id.bigTextButton1);        
        progress.setOnClickListener(new View.OnClickListener() 
        {
            public void onClick(View v) 
            {                
			
            	// Do something when clicked
                // Toast.makeText(getApplicationContext(),"Button clicked!", Toast.LENGTH_SHORT).show();
            	// Starting a new Intent to switch screens
        		Intent Config = new Intent(getApplicationContext(), Configuration.class);
        		
        		// starting new activity
        		startActivity(Config);
            }
        });

            // Used for testing what happens when first run
        		/*
				   	//---get the SharedPreferences object---
					prefs = getSharedPreferences(prefName, MODE_PRIVATE);
			    	SharedPreferences.Editor editor = prefs.edit();

			        // Write a null string to the saved preference
			        strstrName = prefs.getString(NAME_KEY, "");
			        //---save the null string to the saved preference--- 			        
			        editor.putString(NAME_KEY, "");  
			        editor.commit();  
		        */
	        //  End first time testing
	        
     
	   	//---get the SharedPreferences object---
		prefs = getSharedPreferences(prefName, MODE_PRIVATE);
		
		//---load the SharedPreferences object---
		SharedPreferences prefs = getSharedPreferences(prefName, MODE_PRIVATE);
        
        // Restore the saved strName string 
        strstrName = prefs.getString(NAME_KEY, "");
        
        // Remove whitespace around the name.  Eg remove spaces before and after the string.
        strstrName = strstrName.trim();
        // Toast.makeText(getApplicationContext(),"Restored Name: " + strstrName, Toast.LENGTH_SHORT).show();

        // Set the text of the BigTextButton
        btnBigTextButton =  (BigTextButton) findViewById(R.id.bigTextButton1);       
        btnBigTextButton.setText(strstrName);
        btnBigTextButton.update();
        
    }
        
    @Override
    protected void onResume() {
    	//---register the receiver---
        //registerReceiver(intentReceiver, intentFilter);
        super.onResume();
        
	   	//---get the SharedPreferences object---
		prefs = getSharedPreferences(prefName, MODE_PRIVATE);
		
		//---load the SharedPreferences object---
		SharedPreferences prefs = getSharedPreferences(prefName, MODE_PRIVATE);
		
        // Toast.makeText(getApplicationContext(), prefs.getString(NAME_KEY, ""), Toast.LENGTH_SHORT).show();
        
        // Restore the saved strName string
        strstrName = prefs.getString(NAME_KEY, "");
        // Toast.makeText(getApplicationContext(), strstrName, Toast.LENGTH_SHORT).show();
        
        // ********* Try to cater for first time use ***************
        
        String First_run = getString(R.string.first_run);
        if (strstrName.isEmpty()) {
        	strstrName = First_run;
        	}
        // *********************************************************
        
        //Update the display to show the new name
        strstrName = strstrName.trim();
        btnBigTextButton.setText(strstrName);
        btnBigTextButton.update();
        
    }

	@Override
    protected void onPause() {
    	//---unregister the receiver---
        //unregisterReceiver(intentReceiver);
        super.onPause();

    }
        
    @Override
    protected void onDestroy() {
    	//---unregister the receiver---
        super.onPause();
    }

// Initiating Menu XML file (menu.xml)
@Override
public boolean onCreateOptionsMenu(Menu menu)
{
    MenuInflater menuInflater = getMenuInflater();
    menuInflater.inflate(R.layout.menu, menu);
    return true;
}

/**
 * Event Handling for Individual menu item selected
 * Identify single menu item by it's id
 * */
@Override
public boolean onOptionsItemSelected(MenuItem item)
	{
		
	    switch (item.getItemId())
	    {
	    case R.id.menu_larger:
	        // Single menu item is selected do something
	    	//Starting a new Intent to switch screens
			Intent Config = new Intent(getApplicationContext(), Configuration.class);
			
			// starting new activity
			startActivity(Config);
	        
	        return super.onOptionsItemSelected(item);
	    }
		return false;
	} 

}
